CustomAttributesControllerGetEffectiveValuesForAccount Method |
GET /CustomAttributes/GetEffectiveValuesForAccount/{id}
Gets the effective custom attribute values for the account.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("GetEffectiveValuesForAccount")]
public HttpResponseMessage GetEffectiveValuesForAccount(
Guid id,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("GetEffectiveValuesForAccount")>
Public Function GetEffectiveValuesForAccount (
id As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"GetEffectiveValuesForAccount")]
HttpResponseMessage^ GetEffectiveValuesForAccount(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("GetEffectiveValuesForAccount")>]
member GetEffectiveValuesForAccount :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The account ID. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessage
A list of
CustomAttributeData objects, or a status code indicating reason of failure.
See Also